it-swarm-ja.com

WordPressとプラグインのアップグレードトラブルを避けるためのヒント

WordPress 2.7.1から3.0.1へのすべてのプラグインのアップグレード、問題なく実行できるヒントはありますか。

編集:9月7日

Dashboardは、WordPressバージョンといくつかのプラグインの両方に対して "New version available"を表示しています。

だから私はすべてをアップグレードしたいです。それでは、WordPressとプラグインのどちらを先にアップグレードすればよいでしょうか。

そして、どのアップデートがダッシュボードを介した自動またはFTPを介した手動のどちらにも最適です。

5

問題ないはずですが…アップグレードをする前に、次のことをお勧めします。

すべてをバックアップ

  1. テーマをバックアップする
  2. すべてのプラグインをバックアップする
  3. 既存のデータベースをバックアップする

これにより、必要に応じてアップグレードを「元に戻す」ことができます。

テーマの互換性を確認する

一般的に利用可能なテーマを使用している場合は、アップグレードする前にWordPress 3.0.1と互換性があることを確認してください。可能性は高いでしょうが、アップグレードする前に二重チェックができれば、頭痛の種を減らすことができます。私は人々がその後壊れたテーマでバージョン2.0からバージョン2.9にアップグレードしようとしているのを見ました….

プラグインの互換性を確認する

一部のプラグインは、新しいバージョンのWordPressでは動作しない可能性があります。アップグレードする前にそれらが互換性があると評価されているかどうか確認してください - そうでない場合、プラグインが壊れる可能性があるので準備してください...だから絶対に必要な場合うまくいきません。

新バージョンのWordPressではさまざまなカレンダープラグインが失敗することがありましたが、問題が発生した場合はオプションがあることを確認してください。

とにかくすべてがうまくいくように準備してください

ここ数週間で、問題なく2.7.Xから3.0にいくつかのシステムをアップグレードしました。そのため、非常に良い可能性がありますあなたの更新は滞りなく終了し、これらの用心深いステップは時間の浪費でした。しかし、アップグレード後に壊れたサイトを修正するよりも、時間を無駄にすることをお勧めします

最終提案

プラグインを一度に1つずつアップグレードしてください。大量のものを一度にアップグレードしている場合は、エラーの原因を突き止めるのが難しい場合があります(エラーが発生した場合)。プラグインを一度に1つずつアップグレードすると、問題を特定して解決するのに役立ちます。アップグレード後にプラグインが機能しない場合は、いつでも以前に作成したバックアップに戻ることができます。

3
EAMann

私がEAMannの答えに付け加える1つのことは、あなたが何の影響もなくモックアップグレードをすることができるようにあなたがサイトのテストバージョンを設定したいかもしれないということです。そして、何か問題があれば、変更を加える前にそれらを知っていて、そして(うまくいけば)それらを修正する方法も知っています。ただし、これは頻繁にバックアップをとる代わりにはなりません。

3
John P Bloch